<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/layout_order_category_back"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_15"
            android:elevation="@dimen/dp_5"
            android:orientation="horizontal"
            android:paddingTop="@dimen/dp_10"
            android:paddingBottom="@dimen/dp_10">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:ellipsize="marquee"
                android:gravity="center_vertical"
                android:paddingLeft="@dimen/dp_5"
                android:paddingRight="@dimen/dp_2"
                android:singleLine="true"
                android:textColor="@color/theme_color"
                android:textSize="@dimen/dp_16"
                android:textStyle="bold"
                android:text="返回" />
        </LinearLayout>

        <androidx.cardview.widget.CardView
            android:id="@+id/layout_category"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:cardElevation="@dimen/dp_10">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:elevation="@dimen/dp_5"
                android:orientation="horizontal"
                android:paddingLeft="@dimen/dp_5"
                android:paddingTop="@dimen/dp_10">

                <TextView
                    android:id="@+id/tv_category_name"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:button="@null"
                    android:ellipsize="marquee"
                    android:gravity="center_vertical"
                    android:paddingLeft="@dimen/dp_5"
                    android:paddingRight="@dimen/dp_2"
                    android:paddingBottom="@dimen/dp_10"
                    android:textColor="@color/s_btn_blue_3c_text"
                    android:textSize="@dimen/dp_14"
                    android:textStyle="bold"
                    tools:text="果蔬類阿斯蘭大家阿拉斯加的垃圾勞動局阿克蘇奧術大師大所多啊實打實大" />

                <View
                    android:id="@+id/order_primary_category_line"
                    android:layout_width="@dimen/dp_2"
                    android:layout_height="0dp"
                    android:background="#084279"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="@id/tv_category_name" />
            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.cardview.widget.CardView>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_order_second_category"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />
    </LinearLayout>
</FrameLayout>